
Redmine - Patch #22356

Add support for updating attachments over REST API

2016-03-31 11:20 - Oliver Luethi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Adds the support for updating issue attachments over REST-API

granted permissions for update function

added format.api response for REST-API calls

Associated revisions

Revision 15860 - 2016-10-01 14:46 - Jean-Philippe Lang

Rename AttachmentsController#edit and #update to #edit_all and #update_all (#22356).

Revision 15861 - 2016-10-01 15:22 - Jean-Philippe Lang

Add support for updating attachments over REST API (#22356).

History

#1 - 2016-04-30 05:27 - Toshi MARUYAMA

Please add tests like #14828#note-6.

#2 - 2016-04-30 05:28 - Toshi MARUYAMA

- Description updated

#3 - 2016-06-23 14:48 - Oliver Luethi

- File update_attachment_api_with_tests.diff added

Toshi MARUYAMA wrote:

Please add tests like #14828#note-6.

 Added a new patch with test

#4 - 2016-07-18 14:23 - Toshi MARUYAMA

- Target version set to 3.4.0

#5 - 2016-10-01 14:36 - Jean-Philippe Lang

I know that the UI offers a convenient way to update all the attachments of an issue at once but the REST API should not work this way. The

ressource here is the attachment and just like we support GET /attachments/:id.json or DELETE /attachments/:id.json, we should implement PATCH

/attachments/:id.json to update an attachment.

#6 - 2016-10-01 15:22 - Jean-Philippe Lang

- Subject changed from Add support for updating issue attachments over REST-API to Add support for updating attachments over REST API

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Feature added in r15861.

Files

UPDATE_ATTACHMENT.diff 1.56 KB 2016-03-31 Oliver Luethi
https://www.redmine.org/issues/14828#note-6
update_attachment_api_with_tests.diff 3.01 KB 2016-06-23 Oliver Luethi
